[Resolved] Can any Sid users view ebooks with Calibre 4.0.0?

Everything about X, Gnome, KDE, ... and everything running on it

[Resolved] Can any Sid users view ebooks with Calibre 4.0.0?

Postby stevepusser » 2019-10-06 19:29

I can't with my backports to Buster and Stretch--I get a python error when starting calibre from the terminal and opening an ebook instead:

Code: Select all
Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 208, in main
    result = func(*args, **kwargs)
  File "/usr/lib/calibre/calibre/gui_launch.py", line 80, in ebook_viewer
    from calibre.gui2.viewer.main import main
  File "/usr/lib/calibre/calibre/gui2/viewer/main.py", line 12, in <module>
    from PyQt5.QtWebEngineCore import QWebEngineUrlScheme
ImportError: No module named QtWebEngineCore


The last line is what went wrong. It makes me think that Qtwebengine in both Stretch and Buster are now too old, but would like to see if it's working with the newer qtwebengine in Sid.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Clipgrab 3.8.6, Hedgewars 1.0.0, PulseEffects 4.6.8, Telegram-desktop 1.8.15, Pale Moon 28.7.2, KeepassXC 2.5.1
User avatar
stevepusser
 
Posts: 11258
Joined: 2009-10-06 05:53

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby stevepusser » 2019-10-06 20:09

Apparently not, judging by the new changelog, reversion, and referenced bug reports:

Code: Select all
calibre (4.0.0+really3.48.dfsg-1) unstable; urgency=medium

  * Revert to 3.48 since necessary modules for running Calibre >= 4.0 are
    not available for Python 2 (Closes: #941802, #941806)

 -- Norbert Preining <norbert@preining.info>  Sun, 06 Oct 2019 10:09:23 +0900

calibre (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0.0+dfsg
  * fix debian packaging for 4.0 upstream
  * add libhunspell-dev to B-D

 -- Norbert Preining <norbert@preining.info>  Sat, 05 Oct 2019 09:42:11 +0900
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Clipgrab 3.8.6, Hedgewars 1.0.0, PulseEffects 4.6.8, Telegram-desktop 1.8.15, Pale Moon 28.7.2, KeepassXC 2.5.1
User avatar
stevepusser
 
Posts: 11258
Joined: 2009-10-06 05:53

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby wizard10000 » 2019-10-07 10:40

I haven't run an upgrade in a couple days because it didn't look real safe yesterday, so I'm still on Calibre 3 :(
we see things not as they are, but as we are.
-- anais nin
User avatar
wizard10000
 
Posts: 103
Joined: 2019-04-16 23:15
Location: southeastern us

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby kedaha » 2019-10-07 14:21

Just to say the I backported Calibre 4.0.0 to Buster and so far it works without any errors.
Mate DE & OSSv4.
FreedomBox in Debian
ispmail
Debian Stable

Words, as is well known, are the great foes of reality. Joseph Conrad.
Kedaha's Conjecture
User avatar
kedaha
 
Posts: 3017
Joined: 2008-05-24 12:26

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby stevepusser » 2019-10-07 19:19

kedaha wrote:Just to say the I backported Calibre 4.0.0 to Buster and so far it works without any errors.


Have you tried to open any ebooks with its builtin ebook reader? That's where the errors come in. Or did you backport the 4.0.0 version that's really 3.48?

From looking at the bug reports, it appears 4.0.0 now needs a package of python 2 bindings for at least qtwebengine 5.12. Debian has that qtwebengine upstream, but they are not building the python 2 packages any longer, as part of the python 2 purge.

So Debian won't be doing any further Calibre packaging until it goes full python 3.

Users can still install the "static" build version with the command string from their website, though.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Clipgrab 3.8.6, Hedgewars 1.0.0, PulseEffects 4.6.8, Telegram-desktop 1.8.15, Pale Moon 28.7.2, KeepassXC 2.5.1
User avatar
stevepusser
 
Posts: 11258
Joined: 2009-10-06 05:53

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby kedaha » 2019-10-08 06:40

stevepusser wrote:Have you tried to open any ebooks with its builtin ebook reader? That's where the errors come in. Or did you backport the 4.0.0 version that's really 3.48?

The built-in ebook reader works OK but I did indeed backport the other version:
Code: Select all
user@debian:~/calibre$ ls
calibre-4.0.0+really3.48.dfsg
calibre_4.0.0+really3.48.dfsg-1_all.deb
calibre_4.0.0+really3.48.dfsg-1_amd64.buildinfo
calibre_4.0.0+really3.48.dfsg-1_amd64.changes
calibre_4.0.0+really3.48.dfsg-1.debian.tar.xz
calibre_4.0.0+really3.48.dfsg-1.dsc
calibre_4.0.0+really3.48.dfsg.orig.tar.xz
calibre-bin_4.0.0+really3.48.dfsg-1_amd64.deb
calibre-bin-dbgsym_4.0.0+really3.48.dfsg-1_amd64.deb
Mate DE & OSSv4.
FreedomBox in Debian
ispmail
Debian Stable

Words, as is well known, are the great foes of reality. Joseph Conrad.
Kedaha's Conjecture
User avatar
kedaha
 
Posts: 3017
Joined: 2008-05-24 12:26

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby stevepusser » 2019-10-08 19:52

kedaha wrote:
stevepusser wrote:Have you tried to open any ebooks with its builtin ebook reader? That's where the errors come in. Or did you backport the 4.0.0 version that's really 3.48?

The built-in ebook reader works OK but I did indeed backport the other version:
Code: Select all
user@debian:~/calibre$ ls
calibre-4.0.0+really3.48.dfsg
calibre_4.0.0+really3.48.dfsg-1_all.deb
calibre_4.0.0+really3.48.dfsg-1_amd64.buildinfo
calibre_4.0.0+really3.48.dfsg-1_amd64.changes
calibre_4.0.0+really3.48.dfsg-1.debian.tar.xz
calibre_4.0.0+really3.48.dfsg-1.dsc
calibre_4.0.0+really3.48.dfsg.orig.tar.xz
calibre-bin_4.0.0+really3.48.dfsg-1_amd64.deb
calibre-bin-dbgsym_4.0.0+really3.48.dfsg-1_amd64.deb


Well, yes, 3.48 works fine, and that what you really have.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Clipgrab 3.8.6, Hedgewars 1.0.0, PulseEffects 4.6.8, Telegram-desktop 1.8.15, Pale Moon 28.7.2, KeepassXC 2.5.1
User avatar
stevepusser
 
Posts: 11258
Joined: 2009-10-06 05:53

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby paxmark1 » 2019-10-10 01:50

Good question.
I fired Calibre up in Sid with sway (experimental) on my little atom and I see the version offered by Debian is 3.48 for aforementioned python2 to 3 reasons.

I used to use the binaries for Debian from Norbert Preining via MobileRead foum. He now often does it in Debian as you can see from the change log. He has been busy with it lately. But only up to 3.48

https://metadata.ftp-master.debian.org/ ... _changelog

There was a recent post over Calibe on Planet Debian
via Antoine Beaupré - anarcat the post via his blog is
https://anarc.at/software/desktop/calibre/

I am just going to wait a bit before even thinking about going to version 4 Not much at the MobileRead forum yet. A higher priority for me is trying out Sigil 9.18

Best of luck. peace out.
paxmark1
 
Posts: 37
Joined: 2008-10-23 05:19

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby stevepusser » 2019-10-11 01:13

paxmark1 wrote:Good question.
I fired Calibre up in Sid with sway (experimental) on my little atom and I see the version offered by Debian is 3.48 for aforementioned python2 to 3 reasons.

I used to use the binaries for Debian from Norbert Preining via MobileRead foum. He now often does it in Debian as you can see from the change log. He has been busy with it lately. But only up to 3.48

https://metadata.ftp-master.debian.org/ ... _changelog

There was a recent post over Calibe on Planet Debian
via Antoine Beaupré - anarcat the post via his blog is
https://anarc.at/software/desktop/calibre/

I am just going to wait a bit before even thinking about going to version 4 Not much at the MobileRead forum yet. A higher priority for me is trying out Sigil 9.18

Best of luck. peace out.


I installed their static version 4.1 via the commands given on their website, and it's working fine. It installs and uses its own libraries that aren't in Debian. It just doesn't upgrade automatically, as far as I know.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Clipgrab 3.8.6, Hedgewars 1.0.0, PulseEffects 4.6.8, Telegram-desktop 1.8.15, Pale Moon 28.7.2, KeepassXC 2.5.1
User avatar
stevepusser
 
Posts: 11258
Joined: 2009-10-06 05:53

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby pendrachken » 2019-10-11 12:19

stevepusser wrote:
paxmark1 wrote:Good question.
I fired Calibre up in Sid with sway (experimental) on my little atom and I see the version offered by Debian is 3.48 for aforementioned python2 to 3 reasons.

I used to use the binaries for Debian from Norbert Preining via MobileRead foum. He now often does it in Debian as you can see from the change log. He has been busy with it lately. But only up to 3.48

https://metadata.ftp-master.debian.org/ ... _changelog

There was a recent post over Calibe on Planet Debian
via Antoine Beaupré - anarcat the post via his blog is
https://anarc.at/software/desktop/calibre/

I am just going to wait a bit before even thinking about going to version 4 Not much at the MobileRead forum yet. A higher priority for me is trying out Sigil 9.18

Best of luck. peace out.


I installed their static version 4.1 via the commands given on their website, and it's working fine. It installs and uses its own libraries that aren't in Debian. It just doesn't upgrade automatically, as far as I know.



Is there any real reason to update constantly on Linux? I only have Calibre installed on my Windows host OS, but I'm still chugging away on version 2.49, and it hasn't complained about any device I've thrown at it yet... Does the Linux version do hardware mounting or something different than the Windows version?
fortune -o
Your love life will be... interesting.
:twisted: How did it know?

The U.S. uses the metric system too, we have tenths, hundredths and thousandths of inches :-P
pendrachken
 
Posts: 1353
Joined: 2007-03-04 21:10
Location: U.S.A. - WI.

Re: [Resolved] Can any Sid users view ebooks with Calibre 4.

Postby stevepusser » 2019-10-11 21:24

Well, they do constantly add support for newer devices, as well as add or fix news sources, if you use Calibre for that sort of thing. If you don't need the new stuff, stick with what works!
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Clipgrab 3.8.6, Hedgewars 1.0.0, PulseEffects 4.6.8, Telegram-desktop 1.8.15, Pale Moon 28.7.2, KeepassXC 2.5.1
User avatar
stevepusser
 
Posts: 11258
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable